httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jeff Trawick <traw...@gmail.com>
Subject Re: svn commit: r126224 - /httpd/httpd/trunk/support/check_forensic
Date Thu, 03 Feb 2005 12:43:48 GMT
On 23 Jan 2005 17:36:35 -0000, jerenkrantz@apache.org
<jerenkrantz@apache.org> wrote:
> Author: jerenkrantz
> Date: Sun Jan 23 09:36:32 2005
> New Revision: 126224
> 
> URL: http://svn.apache.org/viewcvs?view=rev&rev=126224
> Log:
> * support/check_forensic: Fix script on platforms that do not have either
>   mktemp or tempfile (such as Solaris).
> 
> Also tested on Darwin & FreeBSD.
> 
> Modified:
>    httpd/httpd/trunk/support/check_forensic
> 
> Modified: httpd/httpd/trunk/support/check_forensic
> Url: http://svn.apache.org/viewcvs/httpd/httpd/trunk/support/check_forensic?view=diff&rev=126224&p1=httpd/httpd/trunk/support/check_forensic&r1=126223&p2=httpd/httpd/trunk/support/check_forensic&r2=126224
> ==============================================================================
> --- httpd/httpd/trunk/support/check_forensic    (original)
> +++ httpd/httpd/trunk/support/check_forensic    Sun Jan 23 09:36:32 2005
> @@ -7,9 +7,39 @@
> 
>  F=$1
> 
> -all=`mktemp -t fcall.XXXXXX || tempfile --prefix=fcall` || { echo "$0: Cannot create
temporary file" >&2; exit 1; }
> -in=`mktemp -t fcin.XXXXXX || tempfile --prefix=fcin` || { echo "$0: Cannot create temporary
file" >&2; exit 1; }
> -out=`mktemp -t fcout.XXXXXX || tempfile --prefix=fcout` || { echo "$0: Cannot create
temporary file" >&2; exit 1; }
> +temp_create_method=file
> +if test -f `which mktemp`; then

"which" is not portable...  z/OS doesn't have it, and I would assume
that z/OS isn't the only reason we've been dragging around PrintPath
all this time...

what about:

temp_create_method=file
if which cut >/dev/null 2>/dev/null; then
   (logic to use which goes where)
fi

Mime
View raw message